## tomcat7 7.0.28

=== debian/changelog ===
tomcat7 (7.0.28-4+deb7u4) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2014-0096:
    java/org/apache/catalina/servlets/DefaultServlet.java in the default
    servlet in Apache Tomcat does not properly restrict XSLT stylesheets, which
    allows remote attackers to bypass security-manager restrictions and read
    arbitrary files via a crafted web application that provides an XML external
    entity declaration in conjunction with an entity reference, related to an
    XML External Entity (XXE) issue.
  * Fix CVE-2014-0119:
    It was found that in limited circumstances it was possible for a malicious
    web application to replace the XML parsers used by Tomcat to process XSLTs
    for the default servlet, JSP documents, tag library descriptors (TLDs) and
    tag plugin configuration files. The injected XML parser(s) could then
    bypass the limits imposed on XML external entities and/or have visibility
    of the XML files processed for other web applications deployed on the same
    Tomcat instance.
  * Fix CVE-2015-5174:
    Directory traversal vulnerability in RequestUtil.java allows remote
    authenticated users to bypass intended SecurityManager restrictions and
    list a parent directory via a /.. (slash dot dot) in a pathname used by a
    web application in a getResource, getResourceAsStream, or getResourcePaths
    call, as demonstrated by the $CATALINA_BASE/webapps directory.
  * Fix CVE-2015-5345:
    The Mapper component in Apache Tomcat processes redirects before
    considering security constraints and Filters, which allows remote attackers
    to determine the existence of a directory via a URL that lacks a trailing /
    (slash) character.
  * Fix CVE-2015-5346:
    Session fixation vulnerability in Apache Tomcat when different session
    settings are used for deployments of multiple versions of the same web
    application, might allow remote attackers to hijack web sessions by
    leveraging use of a requestedSessionSSL field for an unintended request,
    related to CoyoteAdapter.java and Request.java.
  * Fix CVE-2015-5351:
    The Manager and Host Manager applications in Apache Tomcat establish
    sessions and send CSRF tokens for arbitrary new requests, which allows
    remote attackers to bypass a CSRF protection mechanism by using a token.
  * Fix CVE-2016-0706:
    Apache Tomcat does not place
    org.apache.catalina.manager.StatusManagerServlet on the
    org/apache/catalina/core/RestrictedServlets.properties list, which allows
    remote authenticated users to bypass intended SecurityManager restrictions
    and read arbitrary HTTP requests, and consequently discover session ID
    values, via a crafted web application.
  * Fix CVE-2016-0714:
    The session-persistence implementation in Apache Tomcat mishandles session
    attributes, which allows remote authenticated users to bypass intended
    SecurityManager restrictions and execute arbitrary code in a privileged
    context via a web application that places a crafted object in a session.
  * Fix CVE-2016-0763:
    The setGlobalContext method in
    org/apache/naming/factory/ResourceLinkFactory.java in Apache Tomcat does
    not consider whether ResourceLinkFactory.setGlobalContext callers are
    authorized, which allows remote authenticated users to bypass intended
    SecurityManager restrictions and read or write to arbitrary application
    data, or cause a denial of service (application disruption), via a web
    application that sets a crafted global context.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Apr 2016 13:07:43 +0200

tomcat7 (7.0.28-4+deb7u3) wheezy-security; urgency=high

  * Fixed CVE-2014-7810: Malicious web applications could use expression
    language to bypass the protections of a Security Manager as expressions
    were evaluated within a privileged code section.
  * Fixed CVE-2014-0099: Check for overflow when parsing the request content
    length header. This exposed a request smuggling vulnerability when Tomcat
    was located behind a reverse proxy that correctly processed the content
    length header.
  * Fixed CVE-2013-4444: Remove serialization support from FileItem to prevent
    a remote code execution vulnerablity in very limited circumstances.
  * Fixed CVE-2014-0075: Malformed chunk size as part of a chuncked request
    could enable the streaming of an unlimited amount of data to the server,
    bypassing the various size limits enforced on a request. This enabled
    a denial of service attack.
  * Fixed CVE-2014-0227: Add an error flag in ChunkedInputFilter to allow
    subsequent attempts at reading after an error to fail fast. This prevents
    remote attackers from conducting HTTP request smuggling attacks or causing
    a denial of service by streaming data with malformed chunked requests.
  * Fixed CVE-2014-0230: Add a new limit for the amount of data Tomcat will
    swallow for an aborted upload. This prevents remote attackers from causing
    a denial of service (thread consumption) via a series of aborted upload
    attempts.

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 04 Jan 2016 12:03:34 +0100

tomcat7 (7.0.28-4+deb7u2) stable; urgency=medium

  * Team upload.
  * Fix FTBFS error by making sure SSL unit tests use TLS protocols.
    - SSLv3 and previous protocols are not secure and deprecated
      in JDK7.
    - Additionally, some X509 certificates provided by upstream expired
      and were causing failures in unit tests as well, so they were
      regenerated. (Closes: #780519).

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 26 Mar 2015 20:18:56 -0300

tomcat7 (7.0.28-4+deb7u1) wheezy-security; urgency=high

  * Team upload.
  * Fix CVE-2014-0050: Multipart requests with a malformed Content-Type header
    can trigger an infinite loop causing a denial of service.
  * Fix CVE-2013-2067: FORM authentication associates the most recent request
    requiring authentication with the current session. By repeatedly sending

