=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomcat7
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>, 
  Miguel Landaeta <miguel@miguel.cc>,
  tony mancill <tmancill@debian.org>,
