=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,16 @@
 	mkdir -p webapps/examples/WEB-INF/lib
 	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
 	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
+	# Install keystores from newer upstream release.
+	for keystore in localhost localhost-copy1 user1; \
+	do \
+		if [ ! -f test/org/apache/tomcat/util/net/$$keystore.jks.bak ]; then \
+			mv test/org/apache/tomcat/util/net/$$keystore.jks \
+				test/org/apache/tomcat/util/net/$$keystore.jks.bak; \
+			cp debian/keystores/$$keystore.jks \
+				test/org/apache/tomcat/util/net/$$keystore.jks; \
+		fi \
+	done
 	$(ANT_INVOKE) deploy test
 else
 	$(ANT_INVOKE) deploy
@@ -77,6 +87,15 @@
 	rm -rf webapps/examples/WEB-INF/lib/*.jar
 	rm -f build-stamp modules/jdbc-pool/output/resources/MANIFEST.MF
 	rm -f debian/tomcat7.postrm
+	# Restore upstream shipped keystores
+	for keystore in localhost localhost-copy1 user1; \
+	do \
+		if [ -f test/org/apache/tomcat/util/net/$$keystore.jks.bak ]; then \
+			rm -f test/org/apache/tomcat/util/net/$$keystore.jks; \
+			mv test/org/apache/tomcat/util/net/$$keystore.jks.bak \
+				test/org/apache/tomcat/util/net/$$keystore.jks; \
+		fi \
+	done
 	dh_clean
 	mh_clean
 
@@ -85,6 +104,7 @@
 	dh_testroot
 	dh_prep 
 	dh_installdirs
+	cp debian/logrotate debian/tomcat7/etc/logrotate.d/tomcat7
 
 binary-indep: build install
 	dh_testdir
@@ -98,7 +118,6 @@
 	dh_installcron
 	mkdir -p debian/poms
 	cp res/maven/*.pom debian/poms
-	rm -f debian/poms/tomcat-dbcp.pom
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/3.0/'      \
 	              debian/poms/tomcat-servlet-api.pom
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/2.2/'      \
@@ -134,6 +153,10 @@
 	              debian/poms/tomcat-util.pom \
 	              $(BLDLIB)/tomcat-util.jar \
 	              usr/share/tomcat7/lib/tomcat-util.jar
+	mh_installjar -plibtomcat7-java -l --usj-name=tomcat-dbcp \
+				  debian/poms/tomcat-dbcp.pom \
+			  	  output/jdbc-pool/tomcat-jdbc.jar \
+				  usr/share/tomcat7/lib/tomcat-dbcp.jar
 	for i in $(T_JARS); do \
 		mv $(BLDLIB)/$$i.jar $(BLDLIB)/$$i-$(T_VER).jar && \
 		dh_install -plibtomcat7-java \
