## tomcat7 7.0.34

=== debian/changelog ===
tomcat7 (7.0.34-0ubuntu1) raring; urgency=low

  * New upstream release.
    - d/p/0014-fix-override.patch: Fix FTBFS due to differing dependency
      versions compared to upstream.
  * d/p/0015-use-jdbc-pool-default.patch: Make jdbc-pool module the default
    pool implementation for DataSources (LP: #1071817).

 -- James Page <james.page@ubuntu.com>  Thu, 06 Dec 2012 13:47:08 +0000
