## tomcat7 7.0.35

=== debian/changelog ===
tomcat7 (7.0.35-1~exp2ubuntu1) raring; urgency=low

  * Fix FTBFS due to expired test certificates (LP: #1166187):
    - d/keystores/*.jks: Newer keystores from upstream 7.0.39.
    - d/rules: Install newer keystores for testing, tidy up after use.
    - d/p/0018-update-test-certificates.patch: Cherry picked fixes from
      upstream VCS to update text based certificates.

 -- James Page <james.page@ubuntu.com>  Mon, 08 Apr 2013 14:02:42 +0100

tomcat7 (7.0.35-1~exp2) experimental; urgency=low

  * Switch from Commons DBCP to Tomcat JDBC Pool as default connection
    pool implementation (Closes: #701023).

 -- James Page <james.page@ubuntu.com>  Sun, 24 Feb 2013 22:08:22 +0000

tomcat7 (7.0.35-1~exp1) experimental; urgency=low

  * New upstream version 7.0.35
  * Add patch to disable TestCometProcessor.testConnectionClose().
    This test fails consistently (although the Comet processor 
    appears to function correctly). 
  * Add patch for upstream bug 54440 (JSP compilation)

 -- tony mancill <tmancill@debian.org>  Sun, 03 Feb 2013 14:57:15 -0800

tomcat7 (7.0.34-1~exp1) experimental; urgency=low

  * Upload to experimental (Vcs-Git branch is exp/master.)
  * New upstream version 7.0.34
  * remove patches included in the upstream release
    - cve-2012-3439.patch
    - cve-2012-3439-tests.patch
    - 0016-CVE-2012-4431.patch
    - 0017-CVE-2012-3546.patch
  * refresh patches
  * add /usr/lib/jvm/java-7-oracle to JDK search path
    - Thanks to Nuno Afonso. (Closes: #679012)
  * add log compression to logrotate cronjob via defaults file
    - Thanks to Thijs Kinkhorst. (Closes: #696944)
  * add distinct javax poms to install JARs using both Tomcat and javax
    coordinates (Closes: #691773)
  * update catalina.properties to expand ${catalina.home} instead of
    referencing /var/lib/tomcat7 explicitly.
    - Thanks to H.-Dirk Schmidt (Closes: #691865)

 -- tony mancill <tmancill@debian.org>  Tue, 01 Jan 2013 19:01:12 -0800
