=== debian/rules ===
--- 
+++ 
@@ -104,7 +104,6 @@
 	dh_testroot
 	dh_prep 
 	dh_installdirs
-	cp debian/logrotate debian/tomcat7/etc/logrotate.d/tomcat7
 
 binary-indep: build install
 	dh_testdir
@@ -120,10 +119,16 @@
 	cp res/maven/*.pom debian/poms
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/3.0/'      \
 	              debian/poms/tomcat-servlet-api.pom
+	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/3.0/'      \
+	              debian/javaxpoms/servlet-api.pom
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/2.2/'      \
 	              debian/poms/tomcat-el-api.pom
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/2.2/'      \
+	              debian/javaxpoms/el-api.pom
+	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/2.2/'      \
 	              debian/poms/tomcat-jsp-api.pom
+	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/2.2/'      \
+	              debian/javaxpoms/jsp-api.pom
 	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/$(T_VER)/' \
 	              debian/poms/*.pom
 	mh_installpoms -plibtomcat7-java
@@ -153,10 +158,10 @@
 	              debian/poms/tomcat-util.pom \
 	              $(BLDLIB)/tomcat-util.jar \
 	              usr/share/tomcat7/lib/tomcat-util.jar
-	mh_installjar -plibtomcat7-java -l --usj-name=tomcat-dbcp \
-				  debian/poms/tomcat-dbcp.pom \
+	mh_installjar -plibtomcat7-java -l --usj-name=tomcat-jdbc \
+				  debian/poms/tomcat-jdbc.pom \
 			  	  output/jdbc-pool/tomcat-jdbc.jar \
-				  usr/share/tomcat7/lib/tomcat-dbcp.jar
+				  usr/share/tomcat7/lib/tomcat-jdbc.jar
 	for i in $(T_JARS); do \
 		mv $(BLDLIB)/$$i.jar $(BLDLIB)/$$i-$(T_VER).jar && \
 		dh_install -plibtomcat7-java \
@@ -172,10 +177,19 @@
 	              debian/poms/tomcat-servlet-api.pom \
 	              output/build/lib/servlet-api.jar
 	mh_installjar -plibservlet3.0-java -l -s         \
+	              debian/javaxpoms/servlet-api.pom \
+	              output/build/lib/servlet-api.jar
+	mh_installjar -plibservlet3.0-java -l -s         \
 	              debian/poms/tomcat-jsp-api.pom     \
 	              output/build/lib/jsp-api.jar
 	mh_installjar -plibservlet3.0-java -l -s         \
+	              debian/javaxpoms/jsp-api.pom     \
+	              output/build/lib/jsp-api.jar
+	mh_installjar -plibservlet3.0-java -l -s         \
                       debian/poms/tomcat-el-api.pom      \
+                      output/build/lib/el-api.jar
+	mh_installjar -plibservlet3.0-java -l -s         \
+                      debian/javaxpoms/el-api.pom      \
                       output/build/lib/el-api.jar
 	rm -r debian/poms
 	rm -rf \
@@ -187,20 +201,3 @@
 	# update the checksum for the root webapp
 	unset rwmd5sum \
 		&& rwmd5sum=`cat $(RWFILES) | md5sum - 2>/dev/null | cut -d " " -f1` \
-		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm.in > debian/tomcat7.postrm
-	jh_manifest
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary-arch: build install
-
-binary: binary-indep binary-arch
-
-get-orig-source:
-	-uscan --download-version $(T_VER) --force-download --rename
-
-.PHONY: build clean binary-indep binary-arch binary install get-orig-source
