=== debian/control ===
--- 
+++ 
@@ -7,13 +7,12 @@
  Miguel Landaeta <miguel@miguel.cc>,
  tony mancill <tmancill@debian.org>,
  Jakub Adam <jakub.adam@ktknet.cz>
-DM-Upload-Allowed: yes
-Build-Depends: default-jdk, ant-optional, debhelper (>= 7), po-debconf
-Build-Depends-Indep: maven-repo-helper (>> 1.0.1), libecj-java, javahelper,
+Build-Depends: default-jdk, ant-optional, debhelper (>= 9), po-debconf, libhamcrest-java (>= 1.3)
+Build-Depends-Indep: maven-repo-helper, libecj-java, javahelper,
  junit4, libjstl1.1-java, libjakarta-taglibs-standard-java
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-java/tomcat7.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/tomcat7.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat7.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat7.git
 Homepage: http://tomcat.apache.org
 
 Package: tomcat7-common
@@ -37,7 +36,7 @@
 	tomcat7-admin (>= ${source:Version}),
 	tomcat7-examples (>= ${source:Version}),
 	tomcat7-user (>= ${source:Version}),
-	libtcnative-1
+	libtcnative-1 (>= 1.1.24)
 Description: Servlet and JSP engine
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
  specifications from Sun Microsystems, and provides a "pure Java" HTTP web
