=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 BLDLIB := output/build/lib
 BLDBIN := output/build/bin
 DEB_JARS_BASE := /usr/share/java
-DEB_JARS := ant ant-launcher ant-trax ant-nodeps ant-junit4 ant-junit junit4
+DEB_JARS := ant ant-launcher ant-trax ant-nodeps ant-junit4 ant-junit junit4 hamcrest-1.3
 DEB_CLASSPATH = $(shell for jar in $(DEB_JARS); do \
 	if [ -f "$$jar" ]; then echo -n "$${jar}:"; fi; \
 	if [ -f "$$jar".jar ]; then echo -n "$${jar}.jar:"; fi; \
@@ -34,6 +34,7 @@
 	-Dant.build.javac.target=1.6 \
 	-Djdt.jar=/usr/share/java/ecj.jar \
 	-Djunit.jar=/usr/share/java/junit4.jar \
+	-Dhamcrest.jar=/usr/share/java/hamcrest-core.jar \
 	-Dversion=$(T_VER) \
     -Dversion.major="$(T_VER_MAJOR)" \
     -Dversion.minor="$(T_VER_MINOR)" \
@@ -59,16 +60,6 @@
 	mkdir -p webapps/examples/WEB-INF/lib
 	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
 	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
-	# Install keystores from newer upstream release.
-	for keystore in localhost localhost-copy1 user1; \
-	do \
-		if [ ! -f test/org/apache/tomcat/util/net/$$keystore.jks.bak ]; then \
-			mv test/org/apache/tomcat/util/net/$$keystore.jks \
-				test/org/apache/tomcat/util/net/$$keystore.jks.bak; \
-			cp debian/keystores/$$keystore.jks \
-				test/org/apache/tomcat/util/net/$$keystore.jks; \
-		fi \
-	done
 	$(ANT_INVOKE) deploy test
 else
 	$(ANT_INVOKE) deploy
@@ -87,15 +78,6 @@
 	rm -rf webapps/examples/WEB-INF/lib/*.jar
 	rm -f build-stamp modules/jdbc-pool/output/resources/MANIFEST.MF
 	rm -f debian/tomcat7.postrm
-	# Restore upstream shipped keystores
-	for keystore in localhost localhost-copy1 user1; \
-	do \
-		if [ -f test/org/apache/tomcat/util/net/$$keystore.jks.bak ]; then \
-			rm -f test/org/apache/tomcat/util/net/$$keystore.jks; \
-			mv test/org/apache/tomcat/util/net/$$keystore.jks.bak \
-				test/org/apache/tomcat/util/net/$$keystore.jks; \
-		fi \
-	done
 	dh_clean
 	mh_clean
 
@@ -201,3 +183,20 @@
 	# update the checksum for the root webapp
 	unset rwmd5sum \
 		&& rwmd5sum=`cat $(RWFILES) | md5sum - 2>/dev/null | cut -d " " -f1` \
+		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat7.postrm.in > debian/tomcat7.postrm
+	jh_manifest
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary-arch: build install
+
+binary: binary-indep binary-arch
+
+get-orig-source:
+	-uscan --download-version $(T_VER) --force-download --rename
+
+.PHONY: build clean binary-indep binary-arch binary install get-orig-source
