=== debian/control ===
--- 
+++ 
@@ -7,17 +7,26 @@
  Miguel Landaeta <miguel@miguel.cc>,
  tony mancill <tmancill@debian.org>,
  Jakub Adam <jakub.adam@ktknet.cz>
-Build-Depends: default-jdk, ant-optional, debhelper (>= 9), po-debconf, libhamcrest-java (>= 1.3)
-Build-Depends-Indep: maven-repo-helper, libecj-java, javahelper,
- junit4, libjstl1.1-java, libjakarta-taglibs-standard-java
-Standards-Version: 3.9.4
+Build-Depends: default-jdk,
+ ant-optional,
+ debhelper (>= 9),
+ po-debconf,
+ libhamcrest-java (>= 1.3)
+Build-Depends-Indep: maven-repo-helper,
+ libecj-java,
+ javahelper,
+ junit4,
+ libjstl1.1-java,
+ libjakarta-taglibs-standard-java,
+ lsb-release
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat7.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat7.git
 Homepage: http://tomcat.apache.org
 
 Package: tomcat7-common
 Architecture: all
-Depends: libtomcat7-java (>= ${source:Version}), ${misc:Depends},
+Depends: libtomcat7-java (>= ${source:Version}), ${misc:Depends}, 
  default-jre-headless | java6-runtime-headless | java6-runtime | java-6-runtime
 Description: Servlet and JSP engine -- common files
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
