=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 RWLOC := debian/default_root
 RWFILES := $(RWLOC)/index.html $(RWLOC)/META-INF/context.xml
 
+# Add distribution.name as system property to grab it when showing version
+TOMCAT7_DISTRIBUTION := "$(shell lsb_release -si)"
+
 ANT_ARGS := -Dcompile.debug=true \
 	-Dant.build.javac.source=1.6 \
 	-Dant.build.javac.target=1.6 \
@@ -40,6 +43,7 @@
     -Dversion.minor="$(T_VER_MINOR)" \
     -Dversion.build="$(T_VER_BUILD)" \
     -Dversion.patch="0" \
+    -Ddistribution.name=$(TOMCAT7_DISTRIBUTION) \
     -Dversion.suffix="" 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -67,7 +71,7 @@
 	javadoc -subpackages "javax.servlet" -d "output/api" \
 		-sourcepath "java" -author -version -breakiterator \
 		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
-		-bottom "Copyright &#169; 2000-2012 Apache Software Foundation. All Rights Reserved."
+		-bottom "Copyright &#169; 2000-2013 Apache Software Foundation. All Rights Reserved."
 	touch build-stamp
 
 clean:
@@ -187,6 +191,12 @@
 	jh_manifest
 	dh_compress
 	dh_fixperms
+
+	# Make the /etc/tomcat7/Catalina/localhost directory writable by the tomcat user
+	for PACKAGE in tomcat7 tomcat7-admin tomcat7-docs tomcat7-examples; do \
+	  chmod 775 --verbose debian/$$PACKAGE/etc/tomcat7/Catalina/localhost; \
+	done
+
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
@@ -197,6 +207,3 @@
 binary: binary-indep binary-arch
 
 get-orig-source:
-	-uscan --download-version $(T_VER) --force-download --rename
-
-.PHONY: build clean binary-indep binary-arch binary install get-orig-source
